// Demo 5

// Class to close an application gracefully when its
//   window close box is clicked.

// Except for remarks, Deitel and Deitel's CloseWindowAndExit class.
// Remarks by Charles W. Neville, Spring 1998. 

// This class is designed as a "helper class" to be used in other programs.
// To use this class in another program, you have to put an import CloseAndExit
// statement near the top of the other program.  See the demo programs
// BetterHelloApplication.java (Demo 4) and AlgOpsApplication.jave (Demo 7) in 
// this Demo directory for more information about how to use this class.

import java.awt.event.*;

// The WindowAdapter class is a built in Java class which implements interface 
// WindowListener (with empty methods), so we can have a window event handler 
// which closes a window and exits the application by extending the 
// WindowAdapter class and simply overriding the windowClosing method, without
// having to implement the other six methods of interface WindowListener.

public class CloseAndExit extends WindowAdapter {

   public void windowClosing ( WindowEvent e ) {

       System.exit( 0 );  // End the application and return a "we ended
                          //   normally" signal to the operating system.

   }
}